    <template>
    <div class="poisk">
        <div class="title">
            <h1>
                Пошук
            </h1>
        </div>
        <div class="form">
            <!-- <form class="searchbar data" v-on:submit.prevent="onSubmit"> -->
            <!-- <input type="radio" name="poisk" class="radio" id="fio" value="fio" checked="true" v-model="rad" />
            <label for="fio">
                ПІБ
            </label> -->
        <!-- <div class="rad"> -->
            <!-- <input type="radio" name="poisk" class="radio" id="numb" value="numb" v-model="rad" /> -->
            <label for="numb" style="text-align: center; font-size: 2rem">По держ. номеру транспортного засобу</label>
        <!-- </div> -->
            <input v-model.trim="searchnumb" type="text" v-show="rad == 'fio'" name="text-poisk-fio" placeholder="ПІБ" />
            <input v-model.trim="searchnumb" v-show="rad == 'numb'" placeholder="Держ. номер транспортного засобу" />
        
            <input type="button" value="Знайти" class="btn-find"  @click="find"/>
                
        <!-- </form> -->
        
            <h3 v-if="user == null" >Для зберігання Вашого пошуку зареєструйтесь</h3>
            <router-link v-bind:to="'/registr/'">
            <input v-if="user == null" type="button" value="Реєстрація"  class="btn-out" />
            </router-link>
            <input v-if="user != null" type="button" @click="out" value="Вийти"  class="btn-out" />
        </div>
        <div class="userSearch" v-if ="(user !== null)">
            <h4>Ваш пошук:</h4>
                <ul>
                    <li v-for="(item, index) in saveSearch" :key="index">
                        <router-link v-bind:to="'/info/'+ item"> {{item}} </router-link>
                    </li>
                </ul>
        </div>

    </div>
    <!--/.poisk-->        
    </template>
    <script>
import Vue from 'vue'
import car from '../data/cars.js' 

import axios from 'axios'
import VueRouter from 'vue-router'
import VueAxios from 'vue-axios'
Vue.use(VueAxios, axios)

    export default {
        
    
    data: function () {
        return {
            rad: 'numb',
            searchnumb: '',
            user: this.$store.getters.getUser,
            saveSearch:null,
        };
    },
    mounted: function () {
        if (this.user != null){
            this.saveSearch = this.user[0].search.split('|');
        }
    },
    methods: {
        find(){
            if (this.searchnumb != ''){
                if (this.user != null){
                    this.user[0].search += "|"+ this.searchnumb;
                    Vue.axios.put("http://localhost:3030/user/put/" + this.user[0]._id,{
                        "email": this.user[0].email,
                        "password": this.user[0].password,
                        "type": this.user[0].type,
                        "search": this.user[0].search,
                    });
                    this.$store.commit('setUser', null);
                    this.$store.commit('setUser', this.user);
                }
                this.$router.push('/info/'+ this.searchnumb);
            }
             
        },
        out(){
            this.$store.commit('setUser', null);
            this.$router.push('/login/');
        },
        onSubmit: function () {
        },
    },
    computed:{
        
    }
}
    </script>
    